Какой Clearcase eclipse-плагин использовать для работы над проектами clearcase 6 и 7?

Используя Eclipse 3.5, какой плагин clearcase использовать, чтобы я работал над проектами clearcase 6 и 7?

 VonC20 авг. 2009 г., 06:27
Примечание: если у вас есть конкретные сообщения об ошибках при доступе к представлениям CC6, отредактируйте ваш вопрос, чтобы я или другие пользователи SO могли его изучить.
 VonC20 авг. 2009 г., 21:33
Просто добавил точность и вопрос в мой ответ, не могли бы вы проверить это?

Ответы на вопрос(2)

Плагин ClearCase Eclipse представленный здесь наСайт IBM

работает с eclipse3.5, хотя для eclipse3.4служба поддержкиCC6 и CC7

Вам просто нужно быть осторожным:

ваш\HKEY_LOCAL_MACHINE\SOFTWARE\SourceCodeControlProvider\ значениевашСсылка на расширение номера.

Обратите вниманиеофициальная страница загрузки IBM для этого плагина кажется недоступным в данный момент.

Это означает, что вы должны использовать механизм update p2 для доступа к:

Плагин CC eclipseОбновление сайта для Windows

или же

Плагин CC eclipseОбновление сайта для Unix

Замечания:

Можете ли вы получить доступ к этим представлениям CC6 с помощью классического клиента ClearCase?

Потому что может оказаться, что вы не можете (и, следовательно, это объясняет, что плагин eclipse CC тоже не может)

Представление присоединяется к серверу представлений через хранилище представлений.

Если это хранилище представлений хранится локально на его рабочем столе, это превращает этот рабочий стол в сервер представлений CC6.0.

Если ваши хранилища представлений CC7.0 хранятся на вашем рабочем столе, это делает ваш рабочий стол сервером представлений CC7.0.

И сервер представлений CC7.0 не может получить доступ к серверу представлений CC6.0.

 Dexter Ang20 авг. 2009 г., 02:41
По электронной почте Ой. Я должен задать еще один вопрос.
 Dexter Ang21 авг. 2009 г., 00:25
Да VonC, я не могДоступ с использованием классического клиента ClearCase с другой версией. Даже плагин Eclipse CCRC работает так же. Сейчас я'Я надеюсь, что адаптер SCM будет работать в обоих проектах. Haven»Я еще не пробовал, так как сейчас перепутал свой devt env. В одной установке Eclipse должны быть установлены как адаптер SCM, так и плагин CCRC eclipse. Я должен попробовать установить адаптер SCM и посмотреть, как все работает.
 Dexter Ang20 авг. 2009 г., 02:31
Привет VonC, так что плагин Eclipse должен работать на обеих версиях 6 и 7? Нужно повторить это, так как это нея не работаю В чем различия между плагином eclipse (адаптер SCM ??) и плагином CCRC eclipse?

Ваш ответ на вопрос